=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-12-21 21:20:08 +0000
+++ bzrlib/builtins.py	2006-12-22 18:07:19 +0000
@@ -2109,6 +2109,7 @@
                             help='clean temporary tests directories'
                                  ' without running tests'),
                      ]
+    encoding_type = 'replace'
 
     def run(self, testspecs_list=None, verbose=None, one=False,
             keep_output=False, transport=None, benchmark=None,

=== modified file 'bzrlib/tests/test_nonascii.py'
--- bzrlib/tests/test_nonascii.py	2006-10-11 23:08:27 +0000
+++ bzrlib/tests/test_nonascii.py	2006-12-22 08:52:28 +0000
@@ -123,7 +123,7 @@
         # route, and maintains the right files
         files = [a_circle_c+'.1', a_dots_c+'.2', z_umlat_c+'.3']
         try:
-            self.build_tree(files)
+            self.build_tree(files, line_endings='native')
         except UnicodeError:
             raise TestSkipped("filesystem cannot create unicode files")
 
@@ -144,7 +144,7 @@
             finally:
                 f.close()
             self.assertEqual(shouldbe, actual, 
-                             'contents of %s is incorrect: %r != %r'
+                             'contents of %r is incorrect: %r != %r'
                              % (path, shouldbe, actual))
 
     def test_access_non_normalized(self):

=== modified file 'bzrlib/tests/test_plugins.py'
--- bzrlib/tests/test_plugins.py	2006-10-11 23:08:27 +0000
+++ bzrlib/tests/test_plugins.py	2006-12-21 15:15:19 +0000
@@ -190,6 +190,9 @@
             help = self.split_help_commands()['myplug']
             self.assertContainsRe(help, '\[myplug\]')
         finally:
-            # remove the plugin 'plugin'
-            if getattr(bzrlib.plugins, 'plugin', None):
-                del bzrlib.plugins.plugin
+            # unregister command
+            if bzrlib.commands.plugin_cmds.get('myplug', None):
+                del bzrlib.commands.plugin_cmds['myplug']
+            # remove the plugin 'myplug'
+            if getattr(bzrlib.plugins, 'myplug', None):
+                delattr(bzrlib.plugins, 'myplug')

